#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var config_1 = require("../config");
var analyzer_1 = require("../analyzer");
var print_1 = require("../print");
var logger_1 = require("../logger");
var args_1 = require("./args");
var printReport = function () {
    var commandLineArgs = args_1.parseCommandLineArgs();
    var _a = config_1.getConfig(commandLineArgs), config = _a.config, configFilePath = _a.configFilePath;
    if (!config.debug) {
        logger_1.default.debug = function () { };
    }
    if (!config.verbose) {
        logger_1.default.verbose = function () { };
    }
    if (configFilePath) {
        logger_1.default.debug("Using config file " + configFilePath + ". Can be skipped with flag -i ");
    }
    logger_1.default.debug('Config', config);
    analyzer_1.analyzeTimeSpent(config).then(function (summary) {
        if (config.json) {
            print_1.printAsJSON({ summary: summary });
        }
        else {
            print_1.printAsCSV({ summary: summary });
        }
    });
};
printReport();
