"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.readHomeDirectoryConfig = exports.readJSON = exports.getHomeDir = void 0;
var fs = require("fs");
var path = require("path");
exports.getHomeDir = function () {
    return process.platform === 'win32' ? process.env.USERPROFILE : process.env.HOME;
};
exports.readJSON = function (absolutePath, defaultData) {
    if (defaultData === void 0) { defaultData = {}; }
    var rawData = fs.readFileSync(absolutePath, 'utf8');
    var data = JSON.parse(rawData);
    return __assign(__assign({}, defaultData), data);
};
exports.readHomeDirectoryConfig = function (filename, defaultData) {
    if (defaultData === void 0) { defaultData = {}; }
    var absolutePath = path.resolve(exports.getHomeDir(), filename);
    return exports.readJSON(absolutePath, defaultData);
};
