import { Commit as GitCommit, Repository } from 'nodegit';
import { Commit } from './types';
export declare function isShallowGitRepo(path: string): boolean;
export declare function getCommits({ gitPaths, countMerges, since, until, }: {
    gitPaths: string[];
    countMerges: boolean;
    since: string | Date;
    until: string | Date;
}): Promise<Commit[]>;
export declare function getCommitsForRepository({ gitPath, countMerges, since, until, }: {
    gitPath: string;
    countMerges: boolean;
    since: string | Date;
    until: string | Date;
}): Promise<Commit[]>;
export declare function getBranchLatestCommit(repo: Repository, branchName: string): Promise<GitCommit>;
export declare function getBranchCommits({ latestCommit, repository, since, until, }: {
    latestCommit: GitCommit;
    repository?: Repository;
    since: string | Date;
    until: string | Date;
}): Promise<Commit[]>;
